ActivateFailedException (Java SE 13 & JDK 13 )
Description: declaration: module: java.rmi, package: java.rmi.activation, class: ActivateFailedException
Keywords: java.rmi.activation.ActivateFailedException class

Module java.rmi
Package java.rmi.activation

# Class ActivateFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.activation.ActivateFailedException

All Implemented Interfaces:
  `Serializable`

    public class ActivateFailedException
    extends RemoteException

This exception is thrown by the RMI runtime when activation fails during a remote call to an activatable object.

Since:
  1.2
See Also:
  Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ActivateFailedException​(String s)` | Constructs an `ActivateFailedException` with the specified detail message.
  `ActivateFailedException​(String s, Exception ex)` | Constructs an `ActivateFailedException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActivateFailedException

    public ActivateFailedException​(String s)
    Constructs an `ActivateFailedException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.2

  - ### ActivateFailedException

    public ActivateFailedException​(String s, Exception ex)
    Constructs an `ActivateFailedException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message
      `ex` - the nested exception
    Since:
      1.2